function []=dspSPD(YRR,p,legend_str,lStl,lWth)
axLbl=cellstr(num2str(YRR));
if strcmp(legend_str{1}(7),'E')
llim=-2.6;
ulim=3.4;
else
llim=-2.4;
ulim=3.6;
end
spider_plot(p,...
    'AxesLabels', axLbl,...    
    'FillOption', 'on',...
    'FillTransparency', 0.1,...
    'LineStyle', lStl,...
    'LineWidth', lWth,...    
    'AxesFontSize', 10,...
    'LabelFontSize', 10,...    
    'AxesPrecision', 1,...
    'AxesDisplay', 'one',...
    'AxesLabelsOffset', 0,...    
    'AxesInterval', 5,...
    'AxesLimits', [llim*ones(1,size(p,2));ulim*ones(1,size(p,2))],...
    'Marker', 'none'...
            );
legend(legend_str, 'Location', 'southoutside','NumColumns', 4, 'fontsize',10);        
end